Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class ISOResource

`java.lang.Object
oracle.ovs.api.datamodel.ISOResource`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. replaced by `ISOResource`

      public class ISOResource

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ISOResource()` Deprecated.
`ISOResource(DiscoveredISO cdrom)` Deprecated.
`ISOResource(oracle.ovs.datamodel.OvsResource cdrom)` Deprecated.

Method Summary
`java.lang.String` | `getBootable()` Deprecated.
`java.lang.String` | `getComments()` Deprecated.
`java.lang.String` | `getISOFileName()` Deprecated.
`java.lang.String` | `getISOGroup()` Deprecated.
`java.lang.String` | `getISOName()` Deprecated.
`java.lang.Long` | `getIsoResourceId()` Deprecated.
`java.lang.Long` | `getServerPoolId()` Deprecated.
`java.lang.String` | `getStatus()` Deprecated.
`void` | `setBootable(java.lang.String Bootable)` Deprecated.
`void` | `setComments(java.lang.String Comments)` Deprecated.
`void` | `setISOFileName(java.lang.String ISOFileName)` Deprecated.
`void` | `setISOGroup(java.lang.String ISOGroup)` Deprecated.
`void` | `setISOName(java.lang.String ISOName)` Deprecated.
`void` | `setIsoResourceId(java.lang.Long isoResourceId)` Deprecated.
`void` | `setServerPoolId(java.lang.Long serverPoolId)` Deprecated.
`void` | `setStatus(java.lang.String status)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISOResource

    public ISOResource()

  Deprecated.

### ISOResource

    public ISOResource(oracle.ovs.datamodel.OvsResource cdrom)

  Deprecated.

### ISOResource

    public ISOResource(DiscoveredISO cdrom)

  Deprecated.

Method Detail

### setIsoResourceId

    public void setIsoResourceId(java.lang.Long isoResourceId)

  Deprecated.

### getIsoResourceId

    public java.lang.Long getIsoResourceId()

  Deprecated.

### getServerPoolId

    public java.lang.Long getServerPoolId()

  Deprecated.

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

  Deprecated.

### getISOName

    public java.lang.String getISOName()

  Deprecated.

### setISOName

    public void setISOName(java.lang.String ISOName)

  Deprecated.

### getISOGroup

    public java.lang.String getISOGroup()

  Deprecated.

### setISOGroup

    public void setISOGroup(java.lang.String ISOGroup)

  Deprecated.

### getISOFileName

    public java.lang.String getISOFileName()

  Deprecated.

### setISOFileName

    public void setISOFileName(java.lang.String ISOFileName)

  Deprecated.

### getComments

    public java.lang.String getComments()

  Deprecated.

### setComments

    public void setComments(java.lang.String Comments)

  Deprecated.

### getBootable

    public java.lang.String getBootable()

  Deprecated.

### setBootable

    public void setBootable(java.lang.String Bootable)

  Deprecated.

### getStatus

    public java.lang.String getStatus()

  Deprecated.

### setStatus

    public void setStatus(java.lang.String status)

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.